%define kdevelop_ver 4.%(echo %{version} | cut -d. -f2,3)

Summary: PHP plugin for kdevelop
Name: kdevelop4-php
Version: 1.4.1
Release: %mkrel 2
Source0: http://fr2.rpmfind.net/linux/KDE/stable/kdevelop/%{kdevelop_ver}/src/kdevelop-php-%{version}.tar.bz2
License: GPLv2+
Group: Development/Other
Url: http://www.kdevelop.org
BuildRequires: kdelibs4-devel 
BuildRequires: kdevplatform4-devel >= 4:%{version}
BuildRequires: kdevelop-pg-qt-devel >= 0.9.82
Requires: kdevelop4 >= 4:%{kdevelop_ver}

%description
This plugin adds PHP language support (including classview and code-completion)
to KDevelop.

%files -f kdevphp.lang
%defattr(-,root,root)
%_kde_libdir/kde4/kdevphplanguagesupport.so
%_kde_libdir/libkdev4phpcompletion.so
%_kde_libdir/libkdev4phpduchain.so
%_kde_libdir/libkdev4phpparser.so
%_kde_appsdir/kdevappwizard/templates/simple_phpapp.tar.bz2
%_kde_appsdir/kdevphpsupport/phpfunctions.php
%_kde_services/kdevphpsupport.desktop

#--------------------------------------------------------------------

%prep
%setup -qn kdevelop-php-%{version}

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build

%find_lang kdevphp


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 356065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.4.1-1.mga3
+ Revision: 313219
- new version 1.4.1

* Tue Oct 16 2012 fwang <fwang> 1.4.0-1.mga3
+ Revision: 307075
- new version 1.4.0

* Tue Sep 11 2012 fwang <fwang> 1.3.90-1.mga3
+ Revision: 292133
- new verison 1.3.90

* Sat Aug 04 2012 fwang <fwang> 1.3.80-1.mga3
+ Revision: 278382
- new version 1.3.80

* Sun Apr 15 2012 fwang <fwang> 1.3.1-1.mga2
+ Revision: 230834
- new version 1.3.1

* Mon Mar 12 2012 fwang <fwang> 1.3.0-1.mga2
+ Revision: 222973
- new version 1.3.0 final

* Sat Feb 25 2012 fwang <fwang> 1.2.90-1.mga2
+ Revision: 214285
- new version 1.2.90

* Tue Feb 14 2012 fwang <fwang> 1.2.82-1.mga2
+ Revision: 208707
- new version 1.2.82

* Mon Jan 23 2012 fwang <fwang> 1.2.81-1.mga2
+ Revision: 200320
- new version 1.2.81

* Sat Jun 25 2011 mikala <mikala> 1.2.3-1.mga2
+ Revision: 113683
- Update tarball to 1.2.3 ( http://kdevelop.org/kdevelop/kdevelop-423-released )

* Fri May 13 2011 mikala <mikala> 1.2.2-1.mga1
+ Revision: 97845
- Remove BuildRoot
- imported package kdevelop4-php

